Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface SimpleFeatureCollectionType

All Superinterfaces:
  AttributeType, ComplexType, FeatureCollectionType, FeatureType, PropertyType, SimpleFeatureType

    public interface SimpleFeatureCollectionType

extends FeatureCollectionType, SimpleFeatureType

Extension of FeatureCollectionType for a simple collection.

Maintains the following properties:

- Contains a single member feature type.
- Contains no attributes of its own.
- Has no super type.

With code the amounts to the following assertions being held:

     getMemberTypes().size() == 1
     getType().getAttribute().isEmpty()
     getSuper() == null

Method Summary
`Set<AssociationDescriptor>` | `getMembers()` Returned set describing a single allowed SimpleFeatureType.
`SimpleFeatureType` | `getMemberType()` Returns the single feature of allowed members of the collection.
`Set<SimpleFeature>` | `getMemberTypes()` Singleton set, use getMemberType()

Methods inherited from interface SimpleFeatureType
`associations, attributes, getAttribute, getAttribute, getAttributeCount, getAttributes, getDefaultGeometryType, getProperties, getSuper, getType, getType, getTypes, indexOf`

Methods inherited from interface FeatureType
`getCRS, getDefaultGeometry`

Methods inherited from interface ComplexType
`getBinding, isInline`

Methods inherited from interface AttributeType
`getOperations, getRestrictions, isAbstract, isIdentified`

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### getMemberType

    SimpleFeatureType getMemberType()

  Returns the single feature of allowed members of the collection.

### getMembers

    Set<AssociationDescriptor> getMembers()

  Returned set describing a single allowed SimpleFeatureType.

  The SimpleFeatureType used by this association descriptor is available via getMemberType();

  Specified by:
    `getMembers` in interface `FeatureCollectionType`
  Returns:
    Set of AssociationDescriptor, indicating the SimpleFeatureType

### getMemberTypes

    Set<SimpleFeature> getMemberTypes()

  Singleton set, use getMemberType()

  Returns:
    Collections.singleton( getMemberType() )

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.